> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deprovision a DigitalOcean cluster



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/clusters/digitalocean/{cluster_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}:
    delete:
      tags:
        - DigitalOcean Cluster API
      summary: Deprovision a DigitalOcean cluster
      operationId: >-
        deprovision_digitalocean_cluster_endpoint_api_v1_clusters_digitalocean__cluster_id__delete
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeprovisionDigitaloceanClusterResponse'
          description: Cluster deprovisioned successfully
        '401':
          description: Unauthorized
        '404':
          description: Cluster not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DeprovisionDigitaloceanClusterResponse:
      properties:
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        errors:
          default: []
          items:
            type: string
          title: Errors
          type: array
        operation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Operation Id
        resources_marked:
          default: 0
          title: Resources Marked
          type: integer
        success:
          default: true
          title: Success
          type: boolean
      required:
        - cluster_id
      title: DeprovisionDigitaloceanClusterResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````